6

I've gotten this notification:

The following modules are outdated:
Test_Test schema: current version - none, required version - 2.0.0
Test_Test data: current version - none, required version - 2.0.0

After running bin/magento setup:upgrade I got the error:

[Exception]
 Warning: file_get_contents(var/di/setup.ser): failed to open stream: No such file or directory in .vendor/magento/framework/App/ObjectManager/ConfigLoader/Compiled.php on line 28

How can I solve this?

  • 4
    Deleting var/generation, var/cache and var/di solved it for me. – Kaushal Suthar Aug 9 '16 at 12:59
9

Deleting var/generation, var/cache and var/di solved it for me.

  • Don't forget about /var/page_cache – Vasilii Burlacu Nov 2 '16 at 16:17
  • I have delete var/generation, var/cache and var/di but issue not solved yet, tell me if you have another solution for the issue. – Dipesh Rangani Dec 30 '16 at 9:00
2

Your need to only delete var/di folder by

rm -rf var/di/*

Or delete folder manually

If still not worked delete var/generation and var/cache folder

rm -rf var/generation/*

rm -rf var/cache/*

Or delete folder manually

1

This seems to be a common issue, you can find more information here. https://github.com/magento/magento2/issues/4795

You can also try the following solution until it is fixed. https://github.com/magento/magento2/issues/4795#issuecomment-228610110

0

Run rm -rf pub/static/*; rm -rf var/view_preprocessed/*; php -f bin/magento setup:static-content:deploy instead. It clears multiple areas.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.